<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: oneTimePage.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: oneTimePage.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
* @module oneTimePadModule
* @memberof App
* @returns {function} start Startet das Modul fuer das One-Time-Pad-Verfahren
*/
var oneTimePadModule = (function(){
 /** Erzeugt das Layout und die Funktionalitäten für das One-Time-Pad-Verfahren 
 * @function start 
 */
  function start(){
    oneTimePad = true;
      
    var onePadTitel = new createjs.Text("One-Time-Pad-Verfahren", largeFont, blue);
    var onePadBound = onePadTitel.getBounds();
    onePadTitel.x = (canvas.width/2 - onePadBound.width/2) / scale;
    onePadTitel.y = (onePadBound.height/4) / scale;
    stage.addChild(onePadTitel);
    
    /** Vigenére-Quadrat erzeugen */
    var vQuadrat = new VigenereShape();
    stage.addChild(vQuadrat.vigenereContainer);
    
    /** Input Felder mit Überschrift */
   
    var klartxt = new createjs.Text("Klartext:", mediumFont, tuerkis);
    var kBound = klartxt.getBounds();
    klartxt.text.textAlign = "center";
    klartxt.textBaseline = "middle";
    klartxt.x = (canvas.width/4 - kBound.width/2 - offset) / scale;
    klartxt.y = (canvas.height/(1.4)) / scale;
    stage.addChild(klartxt);
    
    var inputField = document.createElement("input");
    inputField.style.position = "absolute";
    inputField.style.left = 0;
    inputField.style.top = 0;
    inputField.setAttribute("z-index", "1");
    inputField.setAttribute("type","text");
    inputField.size = 120;
    inputField.style.width = "50%";
    inputField.id = "inputField";
    inputField.value = ""; 
    
    canvas.parentNode.appendChild(inputField);
    var inputFeld = new createjs.DOMElement(inputField);
    inputFeld.x = (canvas.width/4 + 3*offset) / scale; 
    inputFeld.y = (canvas.height/(1.4) - offset/2) / scale;
    stage.addChild(inputFeld);
    
    /** Gibt die Anzahl der Zeichen des Eingabetextes aus */
     document.getElementById("inputField").oninput = function(){
      var stellen = 0;
      var inhalt = document.getElementById("inputField").value;
          for(var i = 0; i &lt; inhalt.length; i++){
              stellen++;
          }
        zeichen.text = "Zeichen:" + stellen;
    };
    
    
    var schluessel = new createjs.Text("Schlüssel:", mediumFont, black);
    sBound = schluessel.getBounds();
    schluessel.text.textAlign = "center";
    schluessel.textBaseline = "middle";
    schluessel.x = (canvas.width/4 - sBound.width/2 - offset) / scale;
    schluessel.y = (canvas.height/(1.2))/scale;
    stage.addChild(schluessel);
    
    var wert = document.createElement("input");
    wert.style.position = "absolute";
    wert.style.left = 0;
    wert.style.top = 0;
    wert.setAttribute("z-index", "1");
    wert.setAttribute("type","text");
    wert.size = 10;
    wert.style.width = "50%";
    wert.id = "key";
    wert.value = ""; 
    
    canvas.parentNode.appendChild(wert);
    var wertFeld = new createjs.DOMElement(wert);
    wertFeld.x = (canvas.width/4 + 3*offset) / scale; 
    wertFeld.y = (canvas.height/(1.2) - offset/2) / scale;
    stage.addChild(wertFeld);
    
    var verschluesselt = new createjs.Text("Geheimtext:", mediumFont, red);
    var veBound = verschluesselt.getBounds();
    verschluesselt.text.textAlign = "center";
    verschluesselt.textBaseline = "middle";
    verschluesselt.x = (canvas.width/4 - veBound.width /2- offset) / scale;
    verschluesselt.y = (canvas.height/(1.3)) / scale;
    stage.addChild(verschluesselt);
    
    var output = document.createElement("input");
    output.style.position = "absolute";
    output.style.left = 0;
    output.style.top = 0;
    output.setAttribute("z-index", "1");
    output.setAttribute("type","text");
    output.size = 120;
    output.style.width = "50%";
    output.id = "output";
    output.disabled = true;
    output.value = ""; 
    
    canvas.parentNode.appendChild(output);
    var outputFeld = new createjs.DOMElement(output);
    outputFeld.x = (canvas.width/4 + 3*offset) / scale; 
    outputFeld.y = (canvas.height/(1.3) - offset/2) / scale;
    stage.addChild(outputFeld);
    
     /* Tausch-Button zum tauschen von Klar- und Geheimtext */
    var tauschBtn = new SwitchButton();
    stage.addChild(tauschBtn.switchContainer);
    
    var zeichen = new createjs.Text("Zeichen:0", smallFont, black);
    var zBound = zeichen.getBounds();
    zeichen.text.textAlign = "center";
    zeichen.textBaseline = "middle";
    zeichen.x = tauschBtn.switchBtn.x;
    zeichen.y = (canvas.height/(1.4)) / scale;
    stage.addChild(zeichen);
    
    /** Verschlüsseln- und Entschlüsseln-Button */
    var buttonEncryp = new EncrypBtn();
    stage.addChild(buttonEncryp.encrypBtnContainer);
    
    var buttonDecryp = new DecrypBtn();
    stage.addChild(buttonDecryp.decrypBtnContainer);
    
    /** Tauscht Klar- und Geheimtext bei drücken des Tausch-Buttons 
    * @param {event} evt Click-Event auf den Tauschen-Button
    */
    tauschBtn.switchContainer.on("click", function(evt){
        clickCounter++;
        
        var klarText = document.getElementById("inputField").value;
        var geheimText = document.getElementById("output").value;
        document.getElementById("inputField").value = geheimText;
        document.getElementById("output").value = klarText;
        
        if(clickCounter % 2 === 1){
            klartxt.text = "Geheimtext:";
            klartxt.color = red;
            klartxt.x = verschluesselt.x;
        
            verschluesselt.text = "Klartext:";
            verschluesselt.color = tuerkis;
            verschluesselt.x = klartxt.x;
        } else {
            klartxt.text = "Klartext:";
            klartxt.color = tuerkis;
            klartxt.x = klartxt.x;
        
            verschluesselt.text = "Geheimtext:";
            verschluesselt.color = red;
            verschluesselt.x = verschluesselt.x;
        }
    });
   
     /**Prueft ob Weiter-Button noch vorhanden ist oder noch eine Animation läuft,
    wenn Verschlüsseln-Button erneut gedrückt wird. Falls ja wird der Weiter-Button
    entfernt und die Animation beendet
    * @param {event} evt Click-Event auf den Verschlüsseln-Button
    */
      
     buttonEncryp.encrypBtnContainer.on("click", function(evt){
    
        if(animateContainer){
           animateContainer.animationContainer.removeAllChildren();
           stage.removeChild(animateContainer.animationContainer);
        }
        if(animateContainer2){
            animateContainer2.animationContainer.removeAllChildren();
            stage.removeChild(animateContainer2.animationContainer);
         }
        if(weiterBtn){
            stage.removeChild(weiterBtn.weiterContainer);
        }
        stage.update();
     });
    
    /** Event-Handler für clicken des Verschlüsseln-Buttons. 
        Ruft die Funktion für die Überprüfung des gedrückten Buttons auf.
    */
    buttonEncryp.encrypBtnContainer.addEventListener("click", handleButton);
    
     /**Prüft ob Weiter-Button noch vorhanden ist oder noch eine Animation läuft,
    wenn Entschlüsseln-Button erneut gedrückt wird. Falls ja wird der Weiter-Button
    entfernt und die Animation beendet
    * @param {event} evt Click-Event auf den Entschlüsseln-Button
    */
    buttonDecryp.decrypBtnContainer.on("click", function(evt){
   
        if(animateContainer){
           animateContainer.animationContainer.removeAllChildren();
           stage.removeChild(animateContainer.animationContainer);
          }
        if(animateContainer2){
           animateContainer2.animationContainer.removeAllChildren();
           stage.removeChild(animateContainer2.animationContainer);
         }
        if(weiterBtn){
           stage.removeChild(weiterBtn.weiterContainer);
         }
         stage.update();
    });
    
    /** Event-Handler für clicken des Entschlüsseln-Buttons. 
        Ruft die Funktion für die Überprüfung des gedrückten Buttons auf.
    */
    buttonDecryp.decrypBtnContainer.addEventListener("click", handleButton);
    
    /** Button zur überprüfung der Länge des Schlüssels */
    var pruefBtn = new PruefButton();
    stage.addChild(pruefBtn.pruefButton);
    
    /** 
    * Prüft Länge des Schlüssels
    * @param {event} evt Click-Event auf den Prüfen-Button
    */
    pruefBtn.pruefButton.on("click", function(evt){
       var input = document.getElementById("inputField").value;
       var key = document.getElementById("key").value;
       for(i = 0; i &lt; input.length; i++){
           for(j = 0; j &lt; key.length; j++){
               if(i == j){
                   if(input[i] == " " &amp;&amp; key[j] != " " || input[i] != " " &amp;&amp; key[j] == " "){
                       alert("Es dürfen keine Leerzeichen eingegben werden! Bitte Schlüssel oder Eingabe ändern.")
                       return false;
                   }
               }
           }
       }
      if(input.length === key.length){
          alert("Eingabe und Schlüssel sind gleich lang. Test bestanden!");
      } else {
          alert("Schlüssel und Eingabe müssen gleich lang sein. Bitte Schlüssel oder Eingabe ändern.")
      }
       
    });
    
    stage.update();
  }
     /** Gibt die Startfunktion beim One-Time-Pad-Modul zurück
    * @returns {function} start Funktion zum starten des One-Time-Pad-Moduls
    */
    return{
        start:start
    };
})();

/**
*Prüft ob Ver- oder Entschlüsseln-Button gedrückt wurde und 
ruft Funktion für das Vorbereiten der Eingabe auf.
* @function handleButton
* @param {event} evt Click-Event auf den Ver- oder Entschlüsseln-Button
*/
function handleButton(evt){
    var toDescrypt = false;
    if(evt.currentTarget.name == "verBtn"){
       chars = [];
       toDescrypt = false; 
       document.getElementById("output").value = "";
       checkVerschluesseln(toDescrypt);
    }
    else if(evt.currentTarget.name == "entBtn"){
        chars = [];
        toDescrypt = true;
        document.getElementById("output").value = "";
        checkVerschluesseln(toDescrypt);
    }
}
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="App.module_oneTimePadModule.html">oneTimePadModule</a></li></ul><h3>Classes</h3><ul><li><a href="DecrypBtn.html">DecrypBtn</a></li><li><a href="EncrypBtn.html">EncrypBtn</a></li><li><a href="PruefButton.html">PruefButton</a></li><li><a href="SwitchButton.html">SwitchButton</a></li><li><a href="VigenereShape.html">VigenereShape</a></li><li><a href="WeiterBtn.html">WeiterBtn</a></li><li><a href="ZurueckBtn.html">ZurueckBtn</a></li></ul><h3>Namespaces</h3><ul><li><a href="App.html">App</a></li></ul><h3>Global</h3><ul><li><a href="global.html#animateContainer">animateContainer</a></li><li><a href="global.html#bg">bg</a></li><li><a href="global.html#canvas">canvas</a></li><li><a href="global.html#checkKey">checkKey</a></li><li><a href="global.html#checkLetters">checkLetters</a></li><li><a href="global.html#clickCounter">clickCounter</a></li><li><a href="global.html#keyX">keyX</a></li><li><a href="global.html#keyY">keyY</a></li><li><a href="global.html#mainMenue">mainMenue</a></li><li><a href="global.html#oneTimeKeys">oneTimeKeys</a></li><li><a href="global.html#oneTimePad">oneTimePad</a></li><li><a href="global.html#onResize">onResize</a></li><li><a href="global.html#removeContainer">removeContainer</a></li><li><a href="global.html#scale">scale</a></li><li><a href="global.html#setup">setup</a></li><li><a href="global.html#squareChars">squareChars</a></li><li><a href="global.html#textX">textX</a></li><li><a href="global.html#textY">textY</a></li><li><a href="global.html#tick">tick</a></li><li><a href="global.html#timer">timer</a></li><li><a href="global.html#weiterBtn">weiterBtn</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Sun Feb 25 2018 19:17:44 GMT+0100 (Mitteleuropäische Zeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
